package com.org.hktshop.service.hotking;

import com.org.hktshop.entity.product.HktGoodItem;
import com.org.hktshop.entity.product.HktGoods;
import com.org.hktshop.entity.product.HktGoodsCategory;
import com.org.hktshop.entity.vo.HktGoodsCategoryVo;

import java.util.List;

/**
 * @author hotking03
 */
public interface SampleService {
    /**
     * 样品列表
     * @param hktGoodItem
     * @return
     */
    Object queryList(HktGoodItem hktGoodItem);

    /**
     * 新增样品
     * @param hktGoods
     * @return
     */
    void addSapmle(HktGoods hktGoods);

    /**
     * 刪除樣品
     * @param hktGoods
     */
    void delSample(HktGoods hktGoods);

    /**
     * 样品总数
     * @param hktGoods
     * @return
     */
    long sampleCount(HktGoods hktGoods);

    /**
     * 样品分类
     * @param hktGoodsCategory
     * @return
     */
    List<HktGoodsCategoryVo> queryCategoryVo(HktGoodsCategory hktGoodsCategory);

    /**
     * 热门样品
     * @param hktGoodItem
     * @return
     */
    Object hotSample(HktGoodItem hktGoodItem);

}
